## ruby-defaults 1.8.2-1

=== doc/Makefile ===
#
# Makefile
# $Id: Makefile,v 1.4 2003/08/22 18:06:33 ukai Exp $
#

all: text html

%.txt: %.sgml
	LANG=C debiandoc2text $<

%.html/index.html: %.sgml
	LANG=C debiandoc2html $<

txt text: ruby-policy.txt
html: ruby-policy.html/index.html

clean:
	-rm -f ruby-policy.txt
	-rm -rf ruby-policy.html

#

## ruby-defaults 1.8.1-7

=== debian/changelog ===
ruby-defaults (1.8.1-7) unstable; urgency=low

  * Fumitoshi UKAI <ukai@debian.or.jp> Sat, 22 May 2004 00:10:37 +0900
   debian/control: add rdoc
   debian/rules: make symlink for usr/bin/rdoc and usr/share/man/man1/rdoc.1.gz
   debian/control: libruby section move to libs
    
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 22 May 2004 00:14:45 +0900

ruby-defaults (1.8.1-3) unstable; urgency=low

  * Fumitoshi UKAI <ukai@debian.or.jp> Tue, 20 Jan 2004 22:05:57 +0900
   debian/control: add ri.
     ri package (for ruby1.6) has been renamed to ri1.6, so ri package is
     for ruby1.8 now, that is, ri depends ri1.8.
   debian/rules: make symlink for usr/bin/ri and usr/share/man/man1/ri.1.gz
	
 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue, 20 Jan 2004 22:05:02 +0900

ruby-defaults (1.8.1-2) unstable; urgency=low

  * Make ruby1.8 1.8.1 the default version of ruby.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Thu,  8 Jan 2004 01:26:01 +0900

ruby-defaults (1.8.0-2) unstable; urgency=low

  * Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 14 Sep 2003 03:43:20 +0900
    doc/ruby-policy.sgml: note about renmaing (conflicts & replaces)
     suggested by Dmitry Borodaenko <d.borodaenko@sam-solutions.net>
  
  * akira yamada <akira@debian.org> Sat, 13 Sep 2003 12:38:02 +0900
    doc/ruby-policy.sgml: s/Config:CONFIG/Config::CONFIG/g.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun, 14 Sep 2003 03:43:20 +0900

ruby-defaults (1.8.0-1) unstable; urgency=low

  * Make ruby1.8 the Default version of ruby.

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sun,  7 Sep 2003 23:21:43 +0900

ruby-defaults (1.6.8-6) unstable; urgency=low

  * Initial Release.
  * ruby-defaults provides default version of Ruby in debian distribution.
  * Old ruby package renamed to ruby1.6
  
  * changelog before debian package
    2003-08-22  Fumitoshi UKAI  <ukai@debian.or.jp>
      (doc/ruby-policy.sgml): version: 0.0.1.2
      (doc/ruby-policy.sgml): fix typo: /usr/lib/librubyX.Y.so.X..Y.Z

    2003-08-22  Fumitoshi UKAI  <ukai@debian.or.jp>
      (doc/ruby-policy.sgml): version: 0.0.1.1
      (doc/ruby-policy.sgml): fix typo: s/Python/Ruby/
        pointed by Dmitry Borodaenko

    2003-08-20  Fumitoshi UKAI  <ukai@debian.or.jp>
      initial public release of ruby-policy: 0.0.1

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Sat, 23 Aug 2003 01:24:37 +0900

=== debian/control ===
Source: ruby-defaults
Section: interpreters
Priority: optional
Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
Uploaders: akira yamada <akira@debian.org>, Akira TAGOH <tagoh@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0), debiandoc-sgml
Standards-Version: 3.6.1

Package: ruby
Architecture: all
Depends: ruby1.8
Description: An interpreter of object-oriented scripting language Ruby
 Ruby is the interpreted scripting language for quick and
 easy object-oriented programming.  It has many features to
 process text files and to do system management tasks (as in
 perl).  It is simple, straight-forward, and extensible.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libruby
Section: libs
Architecture: all
Depends: libruby1.8
Description: Libraries necessary to run Ruby 1.8.x
 This package includes libruby, which is necessary to run Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libcurses-ruby
Architecture: all
Depends: libcurses-ruby1.8
Description: Curses interface for Ruby 
 This extended library adds the interface for curses to Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libdbm-ruby
Architecture: all
Depends: libdbm-ruby1.8
Description: DBM interface for Ruby
 This extended library adds the function for accessing a DBM file to Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libgdbm-ruby
Architecture: all
Depends: libgdbm-ruby1.8
Description: GDBM interface for Ruby
 This extended library adds the function for accessing a GDBM file to Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libpty-ruby
Architecture: all
Depends: libpty-ruby1.8
Description: pseudo tty interface for Ruby
 This extension library adds to Ruby a functionality to execute an arbitrary
 command through pseudo tty (pty).
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libreadline-ruby
Architecture: all
Depends: libreadline-ruby1.8
Description: Readline interface for Ruby
 This extended library adds the function for using readline library to Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libsdbm-ruby
Architecture: all
Depends: libsdbm-ruby1.8
Description: SDBM interface for Ruby
 This extended library adds the function for accessing a SDBM file to Ruby.
 .
 SDBM is ndbm work-alike hashed database library based on Per-Aake Larson's
 Dynamic Hashing algorithms. BIT 18 (1978).
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libtcltk-ruby
Architecture: all
Depends: libtcltk-ruby1.8
Description: Tcl/Tk interface for Ruby
 Tcl/Tk library for Ruby provides low level interface to the Tcl/Tk.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libtk-ruby
Architecture: all
Depends: libtk-ruby1.8
Description: Tk interface for Ruby
 Tk library for Ruby provides interface to the Tk.  This is built on top of
 Tcl/Tk library (libtcltk-ruby).
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libsyslog-ruby
Architecture: all
Depends: libsyslog-ruby1.8
Description: UNIX syslog(3) interface for Ruby
 Ruby interface to the UNIX syslog(3) calls.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libiconv-ruby
Architecture: all
Depends: libiconv-ruby1.8 (>= 1.8.1), libiconv-ruby1.8 (<< 1.8.2)
Description: A Wrapper class of iconv for the Ruby
 This is wrapper class of iconv for the Ruby, which translates string
 between various coding systems.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libracc-runtime-ruby
Architecture: all
Depends: libracc-runtime-ruby1.8 (>= 1.8.1), libracc-runtime-ruby1.8 (<< 1.8.2)
Description: Runtime library for parser which is generated by Racc
 This package provides runtime library for parser which is generated by
 Racc.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libstrscan-ruby
Architecture: all
Depends: libstrscan-ruby1.8 (>= 1.8.1), libstrscan-ruby1.8 (<< 1.8.2)
Description: Fast string scanning library for Ruby
 Strscan is a lexical scan library for Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libdl-ruby
Architecture: all
Depends: libdl-ruby1.8 (>= 1.8.1), libdl-ruby1.8 (<< 1.8.2)
Description: Extension library to use dynamic linker from Ruby
 Ruby/DL provides an interface to the dynamic linker such as dlopen() on
 UNIX and LoadLibrary() on Windows.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libzlib-ruby
Architecture: all
Depends: libzlib-ruby1.8 (>= 1.8.1), libzlib-ruby1.8 (<< 1.8.2)
Description: Extension library to use zlib from Ruby
 The extension library to use zlib from Ruby.  Ruby/zlib also provides
 the features for accessing gzipped files.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libbigdecimal-ruby
Architecture: all
Depends: libbigdecimal-ruby1.8 (>= 1.8.1), libbigdecimal-ruby1.8 (<< 1.8.2)
Description: Variable precision floating library for Ruby
 BigDecimal is an extension library for the Ruby interpreter. Using
 BigDecimal class, you can obtain any number of significant digits in
 computation.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libtest-unit-ruby
Architecture: all
Depends: libtest-unit-ruby1.8 (>= 1.8.1), libtest-unit-ruby1.8 (<< 1.8.2)
Description: unit-testing framework for the Ruby language
 This allows you to easily and flexibly write testing code for your
 Ruby classes and modules. The general idea behind unit testing is that
 you write a test method that makes certain assertions about your code,
 working against a test fixture. A bunch of these test methods are
 bundled up into a test suite and can be run any time the developer
 wants. The results of a run are gathered in a test result and displayed
 to the user through some UI. Test::Unit also has a compatibility layer
 for RubyUnit, the old unit testing framework for Ruby.
 .
 Because the Ruby/GTK package in Debian does not support Ruby 1.8, the
 GTK test runner is disabled for this package. The Fox test runner is also
 unavailable because Ruby's Fox module has not been packaged for Debian.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: liberb-ruby
Architecture: all
Depends: liberb-ruby1.8 (>= 1.8.1), liberb-ruby1.8 (<< 1.8.2)
Description: Tiny eRuby
 Yet another implementation of eRuby.  It is written as pure Ruby script.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libyaml-ruby
Architecture: all
Depends: libyaml-ruby1.8 (>= 1.8.1), libyaml-ruby1.8 (<< 1.8.2)
Description: YAML for Ruby
 YAML(tm) (rhymes with "camel") is a straightforward machine parsable data
 serialization format designed for human readability and interaction with
 scripting languages such as Perl and Python. YAML is optimized for data
 serialization, formatted dumping, configuration files, log files, Internet
 messaging and filtering.
 .
 This package contains YAML handling library for Ruby.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: librexml-ruby
Architecture: all
Depends: librexml-ruby1.8 (>= 1.8.1), librexml-ruby1.8 (<< 1.8.2)
Description: pure Ruby non-validating XML parser supporting Namespaces, XPath
 REXML is a XML parser for Ruby written purely in Ruby so you don't need to
 install any binary libraries. It includes a DOM-like API which fits the
 Ruby-way of human-oriented programming much more than the DOM and a
 SAX-like streaming API. Additionally you can apply XPath-expressions to the
 tree.  REXML also has support for XML-Namespaces.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libdrb-ruby
Architecture: all
Depends: libdrb-ruby1.8 (>= 1.8.1), libdrb-ruby1.8 (<< 1.8.2)
Description: Distributed Ruby
 An implementation of distributed object system by pure Ruby.  dRuby (DRb)
 can send message to other ruby script that like Java's RMI.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libxmlrpc-ruby
Architecture: all
Depends: libxmlrpc-ruby1.8 (>= 1.8.1), libxmlrpc-ruby1.8 (<< 1.8.2)
Description: XML-RPC support for Ruby
 XML-RPC provides remote procedure calls over HTTP with XML. It is like SOAP
 but much easier. For more information see the XML-RPC homepage
 <URL:http://www.xmlrpc.com/>. 
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libopenssl-ruby
Architecture: all
Depends: libopenssl-ruby1.8 (>= 1.8.1), libopenssl-ruby1.8 (<< 1.8.2)
Description: OpenSSL interface for Ruby
 This package makes Ruby to be able to use OpenSSL. It includes HTTP and
 TELNET protocols' SSL/TLS support.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: libwebrick-ruby
Architecture: all
Depends: libwebrick-ruby1.8 (>= 1.8.1), libwebrick-ruby1.8 (<< 1.8.2)
Description: Simple HTTP Server Toolkit for Ruby
 WEBrick is a Ruby library program to build HTTP servers.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: ruby-elisp
Architecture: all
Depends: ruby1.8-elisp
Conflicts: ruby1.6-elisp
Replaces: ruby1.6-elisp
Description: Emacs-lisp ruby-mode for Ruby
 This package provides ruby-mode for Emacsen.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: irb
Architecture: all
Depends: irb1.8
Description: Interactive Ruby (irb)
 The irb is acronym for Interactive RuBy.  It evaluates Ruby expression from
 the terminal. 
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

Package: ri
Architecture: all
Depends: ri1.8
Description: Ruby Interactive reference (ri)
 ri is a command line tool that displays descriptions of built-in Ruby
 methods, classes, and modules. For methods, it shows you the calling
 sequence and a description. For classes and modules, it shows a synopsis
 along with a list of the methods the class or module implements.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).
 
Package: rdoc
Architecture: all
Depends: rdoc1.8
Description:  Generate documentation from ruby source files
 RDoc - Documentation from Ruby Source Files
  * Generates structured HTML and XML documentation from Ruby source and C
    extensions.
  * Automatically extracts class, module, method, and attribute definitions.
    These can be annonated using inline comments.
  * Analyzes method visibility.
  * Handles aliasing.
  * Uses non-intrusive and implicit markup in the comments. Readers
    of the original source needn't know that it is marked up at all.
 .
 This package is a dependency package, which depends on Debian's default
 Ruby version (currently 1.8.x).

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.
#
# Modified to make a template file for a multi-binary package with separated
# build-arch and build-indep targets  by Bill Allombert 2001

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

VER := 1.8
REV := $(shell dpkg-parsechangelog | sed -ne 's/^Version: .*-//p')

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.
	touch configure-stamp


#Architecture 
build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp 
	# Add here commands to compile the arch part of the package.
	#$(MAKE) 

build-indep: build-indep-stamp
build-indep-stamp: configure-stamp 
	# Add here commands to compile the indep part of the package.
	#$(MAKE) doc
	(cd doc && $(MAKE) all)

clean:
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp configure-stamp
	# Add here commands to clean up after the build process.
	-$(MAKE) clean
	-(cd doc && $(MAKE) clean)
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_installdirs -i

install-arch:
#	dh_testdir
#	dh_testroot
#	dh_clean -k -a
#	dh_installdirs -a

# Must not depend on anything. This is to be called by
# binary-arch/binary-multi
# in another 'make' thread.
binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate	
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	DH_OPTIONS= dh_link -pruby usr/bin/ruby$(VER) usr/bin/ruby
	DH_OPTIONS= dh_link -pruby usr/share/man/man1/ruby$(VER).1.gz usr/share/man/man1/ruby.1.gz
	DH_OPTIONS= dh_link -pirb usr/bin/irb$(VER) usr/bin/irb
	DH_OPTIONS= dh_link -pirb usr/share/man/man1/irb$(VER).1.gz usr/share/man/man1/irb.1.gz
	DH_OPTIONS= dh_link -pri usr/bin/ri$(VER) usr/bin/ri
	DH_OPTIONS= dh_link -pri usr/share/man/man1/ri$(VER).1.gz usr/share/man/man1/ri.1.gz
	DH_OPTIONS= dh_link -prdoc usr/bin/rdoc$(VER) usr/bin/rdoc
	DH_OPTIONS= dh_link -prdoc usr/share/man/man1/rdoc$(VER).1.gz usr/share/man/man1/rdoc.1.gz
#	dh_strip
	dh_compress 
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_gencontrol
	cat debian/versions | while read package ver oldver;\
	 do \
		test V"$$ver" = V"=" || DH_OPTIONS= dh_gencontrol -p$$package -u-v$$ver-$(REV); \
	 done
	dh_md5sums
	dh_builddeb
# Build architecture independant packages using the common target.
binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

# Build architecture dependant packages using the common target.
binary-arch: build-arch install-arch
#	$(MAKE) -f debian/rules DH_OPTIONS=-a binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure

## ruby-defaults 1.8.1-8

=== debian/changelog ===
ruby-defaults (1.8.1-8) unstable; urgency=low

  * debian/rules: make symlink for usr/bin/testrb and usr/share/man/man1/testrb.1.gz
    closes: Bug#257608
  * debian/control: rdoc section move to doc

 -- Fumitoshi UKAI <ukai@debian.or.jp>  Tue,  6 Jul 2004 00:20:59 +0900

=== debian/control ===
--- 
+++ 
@@ -305,6 +305,7 @@
  Ruby version (currently 1.8.x).
  
 Package: rdoc
+Section: doc
 Architecture: all
 Depends: rdoc1.8
 Description:  Generate documentation from ruby source files

## ruby-defaults 1.8.2-1~hoary1

=== debian/changelog ===
ruby-defaults (1.8.2-1~hoary1) hoary-backports; urgency=low

  * Automated backport upload; no source changes.

 -- Ubuntu Archive Auto-Backport <archive@ubuntu.com>  Wed,  3 Aug 2005 17:16:54 +0100

ruby-defaults (1.8.2-1) unstable; urgency=low

  * debian/control: remove unnecessary versioned depends
    closes: Bug#289771
  * debian/versions: updated

 -- ukai <ukai@debian.or.jp>  Wed, 12 Jan 2005 02:40:14 +0900

=== debian/control ===
--- 
+++ 
@@ -116,7 +116,7 @@
 
 Package: libiconv-ruby
 Architecture: all
-Depends: libiconv-ruby1.8 (>= 1.8.1), libiconv-ruby1.8 (<< 1.8.2)
+Depends: libiconv-ruby1.8
 Description: A Wrapper class of iconv for the Ruby
  This is wrapper class of iconv for the Ruby, which translates string
  between various coding systems.
@@ -126,7 +126,7 @@
 
 Package: libracc-runtime-ruby
 Architecture: all
-Depends: libracc-runtime-ruby1.8 (>= 1.8.1), libracc-runtime-ruby1.8 (<< 1.8.2)
+Depends: libracc-runtime-ruby1.8
 Description: Runtime library for parser which is generated by Racc
  This package provides runtime library for parser which is generated by
  Racc.
@@ -136,7 +136,7 @@
 
 Package: libstrscan-ruby
 Architecture: all
-Depends: libstrscan-ruby1.8 (>= 1.8.1), libstrscan-ruby1.8 (<< 1.8.2)
+Depends: libstrscan-ruby1.8
 Description: Fast string scanning library for Ruby
  Strscan is a lexical scan library for Ruby.
  .
@@ -145,7 +145,7 @@
 
 Package: libdl-ruby
 Architecture: all
-Depends: libdl-ruby1.8 (>= 1.8.1), libdl-ruby1.8 (<< 1.8.2)
+Depends: libdl-ruby1.8
 Description: Extension library to use dynamic linker from Ruby
  Ruby/DL provides an interface to the dynamic linker such as dlopen() on
  UNIX and LoadLibrary() on Windows.
@@ -155,7 +155,7 @@
 
 Package: libzlib-ruby
 Architecture: all
-Depends: libzlib-ruby1.8 (>= 1.8.1), libzlib-ruby1.8 (<< 1.8.2)
+Depends: libzlib-ruby1.8
 Description: Extension library to use zlib from Ruby
  The extension library to use zlib from Ruby.  Ruby/zlib also provides
  the features for accessing gzipped files.
@@ -165,7 +165,7 @@
 
 Package: libbigdecimal-ruby
 Architecture: all
-Depends: libbigdecimal-ruby1.8 (>= 1.8.1), libbigdecimal-ruby1.8 (<< 1.8.2)
+Depends: libbigdecimal-ruby1.8
 Description: Variable precision floating library for Ruby
  BigDecimal is an extension library for the Ruby interpreter. Using
  BigDecimal class, you can obtain any number of significant digits in
@@ -176,7 +176,7 @@
 
 Package: libtest-unit-ruby
 Architecture: all
-Depends: libtest-unit-ruby1.8 (>= 1.8.1), libtest-unit-ruby1.8 (<< 1.8.2)
+Depends: libtest-unit-ruby1.8
 Description: unit-testing framework for the Ruby language
  This allows you to easily and flexibly write testing code for your
  Ruby classes and modules. The general idea behind unit testing is that
@@ -196,7 +196,7 @@
 
 Package: liberb-ruby
 Architecture: all
-Depends: liberb-ruby1.8 (>= 1.8.1), liberb-ruby1.8 (<< 1.8.2)
+Depends: liberb-ruby1.8
 Description: Tiny eRuby
  Yet another implementation of eRuby.  It is written as pure Ruby script.
  .
@@ -205,7 +205,7 @@
 
 Package: libyaml-ruby
 Architecture: all
-Depends: libyaml-ruby1.8 (>= 1.8.1), libyaml-ruby1.8 (<< 1.8.2)
+Depends: libyaml-ruby1.8
 Description: YAML for Ruby
  YAML(tm) (rhymes with "camel") is a straightforward machine parsable data
  serialization format designed for human readability and interaction with
@@ -220,7 +220,7 @@
 
 Package: librexml-ruby
 Architecture: all
-Depends: librexml-ruby1.8 (>= 1.8.1), librexml-ruby1.8 (<< 1.8.2)
+Depends: librexml-ruby1.8
 Description: pure Ruby non-validating XML parser supporting Namespaces, XPath
  REXML is a XML parser for Ruby written purely in Ruby so you don't need to
  install any binary libraries. It includes a DOM-like API which fits the
@@ -233,7 +233,7 @@
 
 Package: libdrb-ruby
 Architecture: all
-Depends: libdrb-ruby1.8 (>= 1.8.1), libdrb-ruby1.8 (<< 1.8.2)
+Depends: libdrb-ruby1.8
 Description: Distributed Ruby
  An implementation of distributed object system by pure Ruby.  dRuby (DRb)
  can send message to other ruby script that like Java's RMI.
@@ -243,7 +243,7 @@
 
 Package: libxmlrpc-ruby
 Architecture: all
-Depends: libxmlrpc-ruby1.8 (>= 1.8.1), libxmlrpc-ruby1.8 (<< 1.8.2)
+Depends: libxmlrpc-ruby1.8
 Description: XML-RPC support for Ruby
  XML-RPC provides remote procedure calls over HTTP with XML. It is like SOAP
  but much easier. For more information see the XML-RPC homepage
@@ -254,7 +254,7 @@
 
 Package: libopenssl-ruby
 Architecture: all
-Depends: libopenssl-ruby1.8 (>= 1.8.1), libopenssl-ruby1.8 (<< 1.8.2)
+Depends: libopenssl-ruby1.8
 Description: OpenSSL interface for Ruby
  This package makes Ruby to be able to use OpenSSL. It includes HTTP and
  TELNET protocols' SSL/TLS support.
@@ -264,7 +264,7 @@
 
 Package: libwebrick-ruby
 Architecture: all
-Depends: libwebrick-ruby1.8 (>= 1.8.1), libwebrick-ruby1.8 (<< 1.8.2)
+Depends: libwebrick-ruby1.8
 Description: Simple HTTP Server Toolkit for Ruby
  WEBrick is a Ruby library program to build HTTP servers.
  .

=== debian/rules ===
--- 
+++ 
@@ -95,6 +95,8 @@
 	DH_OPTIONS= dh_link -pri usr/share/man/man1/ri$(VER).1.gz usr/share/man/man1/ri.1.gz
 	DH_OPTIONS= dh_link -prdoc usr/bin/rdoc$(VER) usr/bin/rdoc
 	DH_OPTIONS= dh_link -prdoc usr/share/man/man1/rdoc$(VER).1.gz usr/share/man/man1/rdoc.1.gz
+	DH_OPTIONS= dh_link -plibtest-unit-ruby usr/bin/testrb$(VER) usr/bin/testrb
+	DH_OPTIONS= dh_link -plibtest-unit-ruby usr/share/man/man1/testrb$(VER).1.gz usr/share/man/man1/testrb.1.gz
 #	dh_strip
 	dh_compress 
 	dh_fixperms

## ruby-defaults 1.8.2-1maemo0

=== debian/changelog ===
ruby-defaults (1.8.2-1maemo0) unstable; urgency=low

  * Remove TCL/TK package

 -- Faheem Pervez <trippin1@gmail.com>  Fri,  3 Jul 2009 17:55:13 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: ruby-defaults
 Section: interpreters
 Priority: optional
-Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
-Uploaders: akira yamada <akira@debian.org>, Akira TAGOH <tagoh@debian.org>
+Original-Maintainer: Fumitoshi UKAI <ukai@debian.or.jp>
+Maintainer: Faheem Pervez <trippin1@gmail.com>
+XSBC-Original-Uploaders: akira yamada <akira@debian.org>, Akira TAGOH <tagoh@debian.org>
 Build-Depends-Indep: debhelper (>> 4.0.0), debiandoc-sgml
 Standards-Version: 3.6.1
 
@@ -82,25 +83,6 @@
  .
  SDBM is ndbm work-alike hashed database library based on Per-Aake Larson's
  Dynamic Hashing algorithms. BIT 18 (1978).
- .
- This package is a dependency package, which depends on Debian's default
- Ruby version (currently 1.8.x).
-
-Package: libtcltk-ruby
-Architecture: all
-Depends: libtcltk-ruby1.8
-Description: Tcl/Tk interface for Ruby
- Tcl/Tk library for Ruby provides low level interface to the Tcl/Tk.
- .
- This package is a dependency package, which depends on Debian's default
- Ruby version (currently 1.8.x).
-
-Package: libtk-ruby
-Architecture: all
-Depends: libtk-ruby1.8
-Description: Tk interface for Ruby
- Tk library for Ruby provides interface to the Tk.  This is built on top of
- Tcl/Tk library (libtcltk-ruby).
  .
  This package is a dependency package, which depends on Debian's default
  Ruby version (currently 1.8.x).

## ruby-defaults 1.9.3

=== debian/changelog ===
ruby-defaults (1:1.9.3) unstable; urgency=low

  * declare Breaks: apt-listbugs (<< 0.1.6) in ruby package to avoid breaking
    squeeze/wheezy upgrades when apt-listbugs is installed (Closes: 700671).

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 23 Feb 2013 10:45:13 -0300

ruby-defaults (4.9) unstable; urgency=low

  [ Shawn Landden ]
  * Switch default ruby version to 1.9.
  * Drop "transitional package" desciptions to something more similar to
    Python default version packages.
  * Convert copyright file to machine readable specification.

  [ Antonio Terceiro ]
  * debian/control:
    + add myself to Uploaders:
    + bump standards version to 3.9.3. No changes needed.
  * added debian/source/format

 -- Antonio Terceiro <terceiro@debian.org>  Sun, 03 Jun 2012 14:55:39 -0300

ruby-defaults (4.8) unstable; urgency=high

  * Drop ruby-elisp, since the corresponding ruby1.8 package was dropped.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Tue, 26 Apr 2011 22:54:16 +0200

ruby-defaults (4.7) unstable; urgency=low

  * Switch to git. Update Vcs-* fields.
  * Upload to unstable.
  * Sync Maintainers and Uploaders with those from ruby1.8 and ruby1.9.1
  * Bump Standards-Version to 3.9.1. No changes needed.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Fri, 25 Mar 2011 10:26:57 +0100

ruby-defaults (4.6) experimental; urgency=low

  * Remove the Ruby policy from the package. It is no longer applied to ruby
    packages anyway.
  * Make all binary packages transitional packages for their ruby1.8
    counterparts. This source package can be dropped after the wheezy release.
  * Upload to experimental. Changes are very intrusive and need
    extensive testing.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sat, 05 Mar 2011 21:09:30 +0100

ruby-defaults (4.5) unstable; urgency=low

  * Merge irb and rdoc into ruby.
  * Merge lib{dbm,gdbm,readline,openssl}-ruby into libruby.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Mon, 03 May 2010 22:11:28 +0200

ruby-defaults (4.4) unstable; urgency=low

  * Change section to ruby. Agree with ftpmaster.
  * Drop transitional dummy packages,  not needed in squeeze:
    libtk-ruby libcurses-ruby libzlib-ruby libyaml-ruby libwebrick-ruby
    libxmlrpc-ruby librexml-ruby libtest-unit-ruby liberb-ruby libdrb-ruby
    libracc-runtime-ruby libiconv-ruby libstrscan-ruby libsyslog-ruby
    libbigdecimal-ruby libpty-ruby libdl-ruby libsdbm-ruby
  * Standards-Version -> 3.8.4. No changes needed.
  * Add ${misc:Depends} everywhere to make lintian happy.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 18 Mar 2010 11:13:10 +0100

ruby-defaults (4.3) unstable; urgency=low

  * In the 'ruby' meta-package, suggest to install the main other packages
    that are of interest to ruby users.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 18 Mar 2010 08:33:09 +0100

ruby-defaults (4.2) unstable; urgency=low

  * debian/control: Added Homepage and Vcs-* fields.
  * Added ruby-dev package, depending on ruby1.8-dev. (Closes: #301534)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 20 Mar 2008 21:27:58 +0100

ruby-defaults (4.1) unstable; urgency=low

  * Switched to cdbs.
  * Added ruby-full package, which depends on everything part of the "normal"
    ruby tarball-based installation. Supersedes the ruby-full source package.
    Closes: #460465.
  * Corrected Conflicts/Replaces. I was using < 1:1.8.2-3, because, before
    using 3, 4, 4.1 as verisoning scheme, I considered using an epoch, but
    changed my mind. Fixes unreported build failure of rails.

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Thu, 17 Jan 2008 10:03:27 +0100

ruby-defaults (4) unstable; urgency=low

  * Moved debhelper to Build-Depends (fixes lintian error).
  * Upgraded to policy 3.7.3. No changes needed.
  * No longer ignore make clean errors. (fixes lintian warning).
  * Bumped version to 4. There was a binary package in ruby-defaults with
    version 3.X, so, 4 is the lowest we can bump to.
  * Add links from (erb, testrb) to (erb1.8, testrb1.8). (Closes: #330352)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Sun, 13 Jan 2008 00:19:08 +0100

ruby-defaults (3) unstable; urgency=low

  * Replaced dependency packages by Replaces+Provides in libruby.
    Closes: #209701, #210068, #209787, #210164, #300026.
  * Merged libtk-ruby into libtcltk-ruby, like their ruby1.8 counterparts.
  * Added dummy packages so dist-upgrades work. (tested)
  * Improved description for ruby-elisp, by taking ruby1.8's description
    (Closes: #209706).
  * Improved libruby's description (Closes: #209719).
  * Improved libdbm-ruby's description (Closes: #209756).
  * Improved libgdbm-ruby's description (Closes: #209978).
  * Improved libtcltk-ruby's description (Closes: #210042).
  * libruby depends on libruby1.8, which includes most of stdlib, and
    there's also ruby-full if someone want to install all of ruby, so
    there's no need anymore for a ruby-stdlib package (Closes: #286400).
  * Since libopenssl-ruby is now part of stdlib, there's no need to version
    it differently.
  * Removed debian/versions as it's useless now.
  * Bumped version to "3". There's not much point in following ruby's
    versions in the ruby-defaults package. The alternative would have been
    to add an epoch instead (needed so that libruby can replace librexml-ruby
    (which has version 3.1.2.1+ruby1.8.2-1 in etch), libdrd-ruby and
    liberb-ruby (which have version 2.0.4+ruby1.8.2-1)). (Closes: #359810)

 -- Lucas Nussbaum <lucas@lucas-nussbaum.net>  Wed, 09 Jan 2008 09:20:29 +0100

ruby-defaults (1.8.2-2) unstable; urgency=high

  [ Fumitoshi UKAI ]
  * doc/ruby-policy.sgml: interpreter-location.
    it is not advisable to use /usr/bin/env, because it bypasses
    debian's dependency and makes the package vulnerable to incomplete
    local installations of ruby. e.g. Bug#344246 and Bug#344988

  [ Lucas Nussbaum ]
  * Added myself to the Uploaders field, as I'm now part of the pkg-ruby team.


=== debian/control ===
Source: ruby-defaults
Section: ruby
Priority: optional
Maintainer: akira yamada <akira@debian.org>
Uploaders: Daigo Moriwaki <daigo@debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>, Antonio Terceiro <terceiro@debian.org>
Build-Depends: debhelper (>= 5), cdbs
Standards-Version: 3.9.3
Homepage: http://www.ruby-lang.org/
Vcs-Git: git://git.debian.org/collab-maint/ruby-defaults.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/ruby-defaults.git;a=summary

Package: ruby
Architecture: all
Depends: ruby1.9.1 (>= 1.9.3.194-1), ${misc:Depends}
Suggests: ri, ruby-dev
Conflicts: irb, rdoc
Breaks: apt-listbugs (<< 0.1.6)
Replaces: irb, rdoc
Provides: irb, rdoc
Description: Interpreter of object-oriented scripting language Ruby (default version)
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v1.9.3).

Package: ruby-dev
Section: devel
Architecture: all
Depends: ruby1.9.1-dev (>= 1.9.3.194-1), ${misc:Depends}
Description: Header files for compiling extension modules for Ruby (default version)
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package contains the header files and the mkmf library, necessary
 to make extension library for Ruby. It is also required to build
 many gems.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v1.9.3).

Package: libruby
Section: libs
Architecture: all
Depends: libruby1.9.1 (>= 1.9.3.194-1), ${misc:Depends}
Conflicts: libsdbm-ruby (<< 4), libdl-ruby (<< 4), libpty-ruby (<< 4), libbigdecimal-ruby (<< 4), libsyslog-ruby (<< 4), libstrscan-ruby (<< 4), libiconv-ruby (<< 4), libracc-runtime-ruby (<< 4), libdrb-ruby (<< 4), liberb-ruby (<< 4), libtest-unit-ruby (<< 4), librexml-ruby (<< 4), libxmlrpc-ruby (<< 4), libwebrick-ruby (<< 4), libyaml-ruby (<< 4), libzlib-ruby (<< 4), libcurses-ruby (<< 4), libopenssl-ruby, libreadline-ruby, libdbm-ruby, libgdbm-ruby
Replaces: libsdbm-ruby (<< 4), libdl-ruby (<< 4), libpty-ruby (<< 4), libbigdecimal-ruby (<< 4), libsyslog-ruby (<< 4), libstrscan-ruby (<< 4), libiconv-ruby (<< 4), libracc-runtime-ruby (<< 4), libdrb-ruby (<< 4), liberb-ruby (<< 4), libtest-unit-ruby (<< 4), librexml-ruby (<< 4), libxmlrpc-ruby (<< 4), libwebrick-ruby (<< 4), libyaml-ruby (<< 4), libzlib-ruby (<< 4), libcurses-ruby (<< 4), libopenssl-ruby, libreadline-ruby, libdbm-ruby, libgdbm-ruby
Provides: libsdbm-ruby, libdl-ruby, libpty-ruby, libbigdecimal-ruby, libsyslog-ruby, libstrscan-ruby, libiconv-ruby, libracc-runtime-ruby, libdrb-ruby, liberb-ruby, libtest-unit-ruby, librexml-ruby, libxmlrpc-ruby, libwebrick-ruby, libyaml-ruby, libzlib-ruby, libcurses-ruby, libopenssl-ruby, libreadline-ruby, libdbm-ruby, libgdbm-ruby
Description: Libraries necessary to run Ruby
 Ruby is the interpreted scripting language for quick and easy
 object-oriented programming.  It has many features to process text
 files and to do system management tasks (as in perl).  It is simple,
 straight-forward, and extensible.
 .
 This package includes the 'libruby' library, necessary to run Ruby.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v1.9.3).

Package: libtcltk-ruby
Architecture: all
Depends: libtcltk-ruby1.9.1 (>= 1.9.3.194-1), ${misc:Depends}
Conflicts: libtk-ruby (<< 4)
Replaces: libtk-ruby (<< 4)
Provides: libtk-ruby
Description: Tcl/Tk interface for Ruby
 tcltklib is an extension library for Ruby.  It makes Ruby
 programs to be able to use low level interface for the Tcl/Tk.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v1.9.3).

Package: ri
Architecture: all
Depends: ri1.9.1 (>= 1.9.3.194-1), ${misc:Depends}
Description: Ruby Interactive reference
 ri is a command line tool that displays descriptions of built-in Ruby
 methods, classes, and modules. For methods, it shows you the calling
 sequence and a description. For classes and modules, it shows a
 synopsis along with a list of the methods the class or module
 implements.
 .
 This package provides ri command and descriptions about Ruby.
 This package provides the ri documentation for the Ruby standard library.
 The ri executable itself is in the ruby package.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v1.9.3).

Package: ruby-full
Architecture: all
Depends: ruby1.9.1-full (>= 1.9.3.194-1), ${misc:Depends}
Description: Ruby full installation (default version)
 For many good reasons, the Ruby programming language is split in many
 small different packages. Installing this package will make sure you have
 all the packages that add up to a full Ruby installation, with the exception
 of the Tcl/Tk bindings for Ruby, which are only recommended.
 .
 This package is a dependency package, which depends on Debian's default Ruby
 version (currently v1.9.3).

## ruby-defaults 1.9.3.4

=== debian/changelog ===
ruby-defaults (1:1.9.3.4) unstable; urgency=medium

  * ruby-all-dev: also depend on the actual interpreters and not only on the
    -dev packages
  * ruby-all-dev: ship library with data about supported interpreters
    - ruby_debian_dev.rb will be be used by gem2deb
  * Add a simple DEP-8 smoke test
  * Drop Conflicts/Replaces/Provides on obsolete packages that are not even on
    squeeze anymore

 -- Antonio Terceiro <terceiro@debian.org>  Wed, 12 Feb 2014 09:33:39 -0300

ruby-defaults (1:1.9.3.3) unstable; urgency=medium

  * Breaks ruby-switch <= 0.1.0 and rbenv <= 0.4.0-1
    - the mention of `ruby-build` in the previous release was a typo.

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Feb 2014 17:56:55 -0300

ruby-defaults (1:1.9.3.2) unstable; urgency=medium

  * Breaks ruby-build << 0.1.0 and rbenv << 0.4.0-1
    - The removal of the alternatives entries breaks both packages ability to
      detect installed interpreters.
  * Put myself as maintainer, move akira yamada <akira@debian.org> to
    Uploaders:. Add Christian Hofstaedtler to Uploaders:

 -- Antonio Terceiro <terceiro@debian.org>  Thu, 06 Feb 2014 15:07:57 -0300

ruby-defaults (1:1.9.3.1) unstable; urgency=medium

  * Switch from cdbs to debhelper
  * `ruby` now Conflicts with ruby1.8 and rubygems packages, which should be
    removed from the archive soonish.
  * Take control of /usr/bin/{erb,testrb,irb,rdoc,gem,ri,ruby} binaries
    - update-alternatives for /usr/bin/ruby and slave symlinks is not
      supported anymore.
    - Those binaries will now be part of this package and will point to the
      binaries provided by the default Ruby

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 01 Feb 2014 21:55:19 -0300

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,34 @@
 Source: ruby-defaults
 Section: ruby
 Priority: optional
-Maintainer: akira yamada <akira@debian.org>
-Uploaders: Daigo Moriwaki <daigo@debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>, Antonio Terceiro <terceiro@debian.org>
-Build-Depends: debhelper (>= 5), cdbs
-Standards-Version: 3.9.3
+Maintainer: Antonio Terceiro <terceiro@debian.org>
+Uploaders:
+ akira yamada <akira@debian.org>,
+ Daigo Moriwaki <daigo@debian.org>,
+ Lucas Nussbaum <lucas@lucas-nussbaum.net>,
+ Christian Hofstaedtler <zeha@debian.org>,
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.5
 Homepage: http://www.ruby-lang.org/
-Vcs-Git: git://git.debian.org/collab-maint/ruby-defaults.git
-Vcs-Browser: http://git.debian.org/?p=collab-maint/ruby-defaults.git;a=summary
+Vcs-Git: git://anonscm.debian.org/collab-maint/ruby-defaults.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/ruby-defaults.git
+XS-Testsuite: autopkgtest
 
 Package: ruby
 Architecture: all
 Depends: ruby1.9.1 (>= 1.9.3.194-1), ${misc:Depends}
 Suggests: ri, ruby-dev
-Conflicts: irb, rdoc
-Breaks: apt-listbugs (<< 0.1.6)
-Replaces: irb, rdoc
+Conflicts: irb, rdoc, ruby1.8, rubygems
+Breaks: apt-listbugs (<< 0.1.6),
+ ruby1.9.1 (<< 1.9.3.484-2),
+ ruby2.0 (<< 2.0.0.484-1),
+ ruby-switch (<= 0.1.0),
+ rbenv (<= 0.4.0-1),
+Replaces:
+ irb,
+ rdoc,
+ ruby1.8,
+ rubygems
 Provides: irb, rdoc
 Description: Interpreter of object-oriented scripting language Ruby (default version)
  Ruby is the interpreted scripting language for quick and easy
@@ -43,13 +56,27 @@
  This package is a dependency package, which depends on Debian's default Ruby
  version (currently v1.9.3).
 
+Package: ruby-all-dev
+Section: devel
+Architecture: all
+Depends: ruby1.9.1 (>= 1.9.3.194-1), ruby1.9.1-dev (>= 1.9.3.194-1), ruby2.0 (>= 2.0.0.484-1), ruby2.0-dev (>= 2.0.0.484-1), ${misc:Depends}
+Description: Header files for compiling extension modules for Ruby (all versions)
+ Ruby is the interpreted scripting language for quick and easy
+ object-oriented programming.  It has many features to process text
+ files and to do system management tasks (as in perl).  It is simple,
+ straight-forward, and extensible.
+ .
+ This package contains the header files and the mkmf library, necessary
+ to make extension library for Ruby. It is also required to build
+ many gems.
+ .
+ This package is a dependency package, which depends on all versions of Ruby
+ that are supported in Debian.
+
 Package: libruby
 Section: libs
 Architecture: all
 Depends: libruby1.9.1 (>= 1.9.3.194-1), ${misc:Depends}
-Conflicts: libsdbm-ruby (<< 4), libdl-ruby (<< 4), libpty-ruby (<< 4), libbigdecimal-ruby (<< 4), libsyslog-ruby (<< 4), libstrscan-ruby (<< 4), libiconv-ruby (<< 4), libracc-runtime-ruby (<< 4), libdrb-ruby (<< 4), liberb-ruby (<< 4), libtest-unit-ruby (<< 4), librexml-ruby (<< 4), libxmlrpc-ruby (<< 4), libwebrick-ruby (<< 4), libyaml-ruby (<< 4), libzlib-ruby (<< 4), libcurses-ruby (<< 4), libopenssl-ruby, libreadline-ruby, libdbm-ruby, libgdbm-ruby
-Replaces: libsdbm-ruby (<< 4), libdl-ruby (<< 4), libpty-ruby (<< 4), libbigdecimal-ruby (<< 4), libsyslog-ruby (<< 4), libstrscan-ruby (<< 4), libiconv-ruby (<< 4), libracc-runtime-ruby (<< 4), libdrb-ruby (<< 4), liberb-ruby (<< 4), libtest-unit-ruby (<< 4), librexml-ruby (<< 4), libxmlrpc-ruby (<< 4), libwebrick-ruby (<< 4), libyaml-ruby (<< 4), libzlib-ruby (<< 4), libcurses-ruby (<< 4), libopenssl-ruby, libreadline-ruby, libdbm-ruby, libgdbm-ruby
-Provides: libsdbm-ruby, libdl-ruby, libpty-ruby, libbigdecimal-ruby, libsyslog-ruby, libstrscan-ruby, libiconv-ruby, libracc-runtime-ruby, libdrb-ruby, liberb-ruby, libtest-unit-ruby, librexml-ruby, libxmlrpc-ruby, libwebrick-ruby, libyaml-ruby, libzlib-ruby, libcurses-ruby, libopenssl-ruby, libreadline-ruby, libdbm-ruby, libgdbm-ruby
 Description: Libraries necessary to run Ruby
  Ruby is the interpreted scripting language for quick and easy
  object-oriented programming.  It has many features to process text
@@ -64,9 +91,6 @@
 Package: libtcltk-ruby
 Architecture: all
 Depends: libtcltk-ruby1.9.1 (>= 1.9.3.194-1), ${misc:Depends}
-Conflicts: libtk-ruby (<< 4)
-Replaces: libtk-ruby (<< 4)
-Provides: libtk-ruby
 Description: Tcl/Tk interface for Ruby
  tcltklib is an extension library for Ruby.  It makes Ruby
  programs to be able to use low level interface for the Tcl/Tk.

=== debian/rules ===
#!/usr/bin/make -f

export DEBIAN_DEFAULT_RUBY_VERSION=1.9.1
export DEBIAN_RUBY_PROGRAMS = \
  erb \
  gem \
  irb \
  rdoc \
  ri \
  testrb \
  ruby

%:
	dh $@

=== debian/tests/control ===
Tests: smoke-test
Depends: ruby
Restrictions: allow-stderr
